Categories:
  - System
License: GPL-3.0-only
WebSite: https://kdeconnect.kde.org/
SourceCode: https://invent.kde.org/network/kdeconnect-android
IssueTracker: https://bugs.kde.org

AutoName: KDE Connect
Description: |-
    KDE Connect provides a set of features to integrate your workflow across
    devices:

    * Shared clipboard: copy and paste between your devices.
    * Share files and URLs to your computer from any app.
    * Get notifications for incoming calls and SMS messages on your PC.
    * Virtual touchpad: Use your phone screen as your computer's touchpad.
    * Notifications sync: Read your Android notifications from the desktop.
    * Multimedia remote control: Use your phone as a remote for Linux media players.
    * WiFi connection: no USB wire or bluetooth needed.
    * End-to-end TLS encryption: your information is safe.

    Please note you will need to install KDE Connect on your computer for this app
    to work, and keep the desktop version up-to-date with the Android version for
    the latest features to work.

    This app is part of an open source project and it exists thanks to all the
    people who contributed to it. Visit the website to grab the source code.

RepoType: git
Repo: https://invent.kde.org/network/kdeconnect-android

Builds:
  - versionName: 0.3.0
    versionCode: 5
    commit: v0.3
    subdir: KdeConnect
    gradle:
      - yes

  - versionName: '0.4'
    versionCode: 9
    commit: v0.4
    gradle:
      - yes

  - versionName: 0.4.1
    versionCode: 10
    commit: v0.4.1
    gradle:
      - yes

  - versionName: 0.4.2
    versionCode: 11
    commit: v0.4.2
    gradle:
      - yes

  - versionName: '0.5'
    versionCode: 12
    commit: v0.5
    gradle:
      - yes

  - versionName: '0.6'
    versionCode: 14
    commit: v0.6
    gradle:
      - yes

  - versionName: 0.6.3
    versionCode: 18
    commit: v0.6.3
    gradle:
      - yes

  - versionName: 0.6.4
    versionCode: 20
    commit: v0.6.4
    gradle:
      - yes

  - versionName: '0.7'
    versionCode: 70
    commit: v0.7
    gradle:
      - yes

  - versionName: 0.7.1
    versionCode: 711
    commit: v0.7.1
    gradle:
      - yes

  - versionName: 0.7.2
    versionCode: 720
    commit: v0.7.2
    gradle:
      - yes

  - versionName: 0.7.3
    versionCode: 730
    commit: v0.7.3
    gradle:
      - yes

  - versionName: 0.7.3.1
    versionCode: 731
    commit: v0.7.3.1
    gradle:
      - yes

  - versionName: 0.7.3.2
    versionCode: 732
    commit: v0.7.3.2
    gradle:
      - yes

  - versionName: 0.7.3.3
    versionCode: 733
    commit: v0.7.3.3
    gradle:
      - yes

  - versionName: 0.7.3.4
    versionCode: 734
    disable: no tag
    commit: v0.7.3.4
    gradle:
      - yes

  - versionName: 0.7.3.6
    versionCode: 736
    commit: v0.7.3.6
    gradle:
      - yes

  - versionName: '0.8'
    versionCode: 800
    commit: v0.8
    gradle:
      - yes

  - versionName: 0.8d
    versionCode: 804
    commit: v0.8d
    gradle:
      - yes

  - versionName: 0.8e
    versionCode: 805
    commit: v0.8e
    gradle:
      - yes

  - versionName: 0.8g
    versionCode: 807
    commit: v0.8g
    gradle:
      - yes

  - versionName: 0.8h
    versionCode: 808
    commit: v0.8h
    gradle:
      - yes

  - versionName: 0.9.1
    versionCode: 906
    commit: v0.9
    gradle:
      - yes

  - versionName: 0.9c
    versionCode: 907
    commit: v0.9b
    gradle:
      - yes

  - versionName: 0.9d
    versionCode: 908
    commit: v0.9d
    gradle:
      - yes

  - versionName: 0.9e
    versionCode: 909
    commit: v0.9e
    gradle:
      - yes

  - versionName: 0.9g
    versionCode: 910
    commit: v0.9g
    gradle:
      - yes

  - versionName: '1.0'
    versionCode: 1000
    commit: v1.0
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

  - versionName: 1.0.2
    versionCode: 1020
    commit: v1.0.2
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

  - versionName: '1.1'
    versionCode: 1102
    commit: v1.1
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

  - versionName: '1.2'
    versionCode: 1200
    commit: v1.2
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

  - versionName: 1.3.2
    versionCode: 1320
    commit: v1.3
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

  - versionName: '1.4'
    versionCode: 1400
    commit: v1.4
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

  - versionName: 1.4.4
    versionCode: 1440
    commit: v1.4.4
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

  - versionName: '1.5'
    versionCode: 1500
    commit: v1.5
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

  - versionName: '1.6'
    versionCode: 1600
    commit: v1.6
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

  - versionName: 1.6.1
    versionCode: 1610
    commit: v1.6.1
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

  - versionName: 1.6.3
    versionCode: 1630
    commit: v1.6.3
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

  - versionName: 1.6.5
    versionCode: 1650
    commit: v1.6.5
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

  - versionName: 1.6.6
    versionCode: 1660
    commit: v1.6.6
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

  - versionName: 1.7.1
    versionCode: 1710
    disable: Cannot resolve external dependency com.android.tools.build:gradle:3.0.1
        because no repositories are defined
    commit: v1.7.1
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

  - versionName: 1.7.2
    versionCode: 1720
    commit: v1.7.2
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

  - versionName: 1.8.0
    versionCode: 1800
    commit: v1.8
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

  - versionName: 1.8.1
    versionCode: 1811
    commit: v1.8.1
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

  - versionName: 1.8.2
    versionCode: 1820
    commit: v1.8.2
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

  - versionName: 1.8.4
    versionCode: 1840
    commit: v1.8.4
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

  - versionName: 1.8.4
    versionCode: 1841
    commit: v1.8.4.1
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

  - versionName: '1.10'
    versionCode: 11006
    commit: v1.10
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

  - versionName: 1.10.1
    versionCode: 11010
    commit: v1.10.1
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

  - versionName: '1.11'
    versionCode: 11100
    commit: v1.11
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

  - versionName: '1.12'
    versionCode: 11200
    commit: v1.12
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

  - versionName: 1.12.5
    versionCode: 11250
    commit: v1.12.5
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

  - versionName: 1.12.6
    versionCode: 11260
    commit: v1.12.6
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

  - versionName: 1.12.7
    versionCode: 11270
    commit: v1.12.7
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

  - versionName: 1.12.8
    versionCode: 11280
    commit: v1.12.8
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

  - versionName: 1.12.9
    versionCode: 11291
    commit: v1.12.9.1
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

  - versionName: 1.12.9
    versionCode: 11292
    commit: v1.12.9.2
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

  - versionName: 1.12.93
    versionCode: 11293
    commit: v1.12.93
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

  - versionName: '1.13'
    versionCode: 11300
    commit: v1.13
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

  - versionName: 1.13.1
    versionCode: 11310
    commit: v1.13.1
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

  - versionName: 1.13.2
    versionCode: 11320
    commit: v1.13.2
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

  - versionName: 1.13.3
    versionCode: 11330
    commit: v1.13.3
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

  - versionName: 1.13.4
    versionCode: 11340
    commit: v1.13.4
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

  - versionName: 1.13.5
    versionCode: 11350
    commit: v1.13.5
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

  - versionName: 1.13.6
    versionCode: 11360
    commit: v1.13.6
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

  - versionName: 1.13.7
    versionCode: 11370
    commit: v1.13.7
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

  - versionName: 1.14.1
    versionCode: 11410
    commit: v1.14.1
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

  - versionName: 1.14.2
    versionCode: 11421
    commit: v1.14.2
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

  - versionName: 1.15.0
    versionCode: 11501
    commit: v1.15.0
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

  - versionName: 1.15.1
    versionCode: 11510
    commit: v1.15.1
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

  - versionName: 1.16.0
    versionCode: 11600
    commit: v1.16
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

  - versionName: 1.17.0
    versionCode: 11700
    commit: v1.17.0
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

  - versionName: 1.18.0
    versionCode: 11800
    commit: bfb3eae49242aed0e0f51115b433d8d522931291
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

  - versionName: 1.18.1
    versionCode: 11810
    commit: f3fb7acef732332b2a10108073e68a7c2186b881
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

  - versionName: '1.19'
    versionCode: 11900
    commit: f74763930489a7432d66f9111d6921c564340b31
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

  - versionName: 1.19.1
    versionCode: 11910
    commit: db3f8f7f748895eae5778983d3b05fc067705d73
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

  - versionName: '1.20'
    versionCode: 12000
    commit: 1a79c3e77a688c052e6fbcbd4f035ae11f65ef78
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

  - versionName: 1.20.2
    versionCode: 12002
    commit: 5225d0b2007c440f70667f71db3f69000ea87ba3
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

  - versionName: 1.21.0
    versionCode: 12100
    commit: 8b01db3c343aede526c06d9494e3045f1aabd220
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

  - versionName: 1.21.1
    versionCode: 12101
    commit: 889e0d5c52d7bab58a07201805ae911ee3d08342
    gradle:
      - yes
    prebuild: sed -i -e '/javaMaxHeapSize/s/4g/2g/g' build.gradle

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: 1.21.1
CurrentVersionCode: 12101
